## org.apache.lucene.queryParser.core.builders
Interface QueryBuilder

All Known Subinterfaces:
  StandardQueryBuilder

All Known Implementing Classes:
  AnyQueryNodeBuilder, BooleanQueryNodeBuilder, BoostQueryNodeBuilder, FieldQueryNodeBuilder, FuzzyQueryNodeBuilder, GroupQueryNodeBuilder, MatchAllDocsQueryNodeBuilder, MatchNoDocsQueryNodeBuilder, ModifierQueryNodeBuilder, MultiPhraseQueryNodeBuilder, PhraseQueryNodeBuilder, PrefixWildcardQueryNodeBuilder, QueryTreeBuilder, RangeQueryNodeBuilder, SlopQueryNodeBuilder, StandardBooleanQueryNodeBuilder, StandardQueryTreeBuilder, WildcardQueryNodeBuilder

    public interface QueryBuilder

This interface is used by implementors classes that builds some kind of object from a query tree.

See Also:
  `QueryTreeBuilder`

Method Summary
`java.lang.Object` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Method Detail

### build

    java.lang.Object build(QueryNode queryNode)
                           throws QueryNodeException

  Builds some kind of object from a query tree.

  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.